DtPrintCopySetupData(library call)

NAME
DtPrintCopySetupData — copies one DtPrintSetupData structure to another

SYNOPSIS

#include &<Print.h>
DtPrintSetupData* DtPrintCopySetupData(
DtPrintSetupData* target,
const DtPrintSetupData* source);

DESCRIPTION

The DtPrintCopySetupData function copies the DtPrintSetupData structure pointed to by source to the DtPrintSetupData structure pointed to by target. Elements in target are updated only if different than the corresponding elements in source.

For elements that point to allocated memory, DtPrintCopySetupData allocates new memory for those elements updated in target. Existing elements in target are freed using XtFree. All elements in a DtPrintSetupData structure can be freed by calling DtPrintFreeSetupData.

If source or target is NULL, the copy will not be performed.

ARGUMENTS

target
    A pointer to the DtPrintSetupData structure to copy to.

source
    A pointer to the DtPrintSetupData structure to copy from.

RETURN VALUE

If DtPrintCopySetupData completes successfully, it returns a pointer to the target structure. If it fails, it returns a NULL pointer.

ENVIRONMENT VARIABLES

None.

RESOURCES

None.

ACTIONS/MESSAGES

None.

ERRORS/WARNINGS

None.

EXAMPLES

None.

FILES

None.

SEE ALSO

DtPrintSetupBox(3), DtPrintFreeSetupData(3)